PATCH Quotations
Use this endpoint to update existing quotations.
User level: Advanced
Endpoint
PATCH /v1/{scopeId}/quotations/{id}| Property | Value |
|---|---|
| Method | PATCH |
| Scope ID | Branch UUID |
| Authentication | Authorization: Bearer <access_token> |
| Required scope | routix:quotations:write |
| Content-Type | application/json |
| Request body | JSON object |
Update rules
- The API validates server-side whether the record belongs to the allowed organization and branch.
- Only explicitly allowed fields can be updated.
- Unknown or disallowed fields return
400 invalid_update.
Allowed update fields
| Field |
|---|
account_id |
quotation_date |
valid_until |
status |
total_weight_kg |
total_volume_m3 |
total_packages |
Example request
curl -X PATCH "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/quotations/fc7c1a2b-e56a-4551-bbf3-41f4e17698e6" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \
-H "Content-Type: application/json" \
-d '{
"status": "accepted",
"valid_until": "2026-12-31"
}'Example response
{
"data": {
"id": "fc7c1a2b-e56a-4551-bbf3-41f4e17698e6",
"account_id": "7ecf4b8d-8d1f-4a0f-8e57-6d8f14c6a221",
"quotation_date": "2026-07-05",
"valid_until": "2026-12-31",
"status": "accepted",
"total_weight_kg": 860,
"total_volume_m3": 3.1,
"total_packages": 12
},
"version": "v1"
}Error response
{
"error": "invalid_update",
"error_description": "One or more fields are not allowed for updates on quotations"
}Possible error codes
400 invalid_request400 invalid_update401 unauthorized401 invalid_token403 invalid_token_type403 insufficient_scope404 not_found405 method_not_allowed
Related pages
- Quotations GET
- API calls & examples
- Setup guide
Last updated on

